#ifndef CFLOAT
#define CFLOAT
#include <math.h>
#define round(x) floor((x)+0.5)

cint as_int(cfloat);
cint  f_ceil(cint x);
cint ff_div(cint x, cint y);
cint fi_div(cint x, cint y);
cint  f_fabs(cint x);
cint  f_floor(cint x);
cint  f_frac(cint x);
cint  f_int(cint x);
cint ff_idiv(cint x, cint y);
cint fi_idiv(cint x, cint y);
cint if_idiv(cint x, cint y);
cint ff_min(cint x, cint y);
cint fi_min(cint x, cint y);
cint ff_mod(cint x, cint y);
cint fi_mod(cint x, cint y);
cint if_mod(cint x, cint y);
cint ff_mul(cint x, cint y);
cint fi_mul(cint x, cint y);
cint ff_plus(cint x, cint y);
cint fi_plus(cint x, cint y);
cint ff_pow(cint x, cint y);
cint fi_pow(cint x, cint y);
cint if_pow(cint x, cint y);
cint ii_pow(cint x, cint y);
cint ff_rem(cint x, cint y);
cint fi_rem(cint x, cint y);
cint if_rem(cint x, cint y);
#endif

